* changes v0.09 -> v0.10:

type: feature
file: kernels
desc: added -m 0910 = md4($pass.$salt)

type: feature
file: kernels
desc: added -m 1410 = sha256($pass.$salt)

type: feature
file: kernels
desc: added -m 1700 = SHA512

type: feature
file: kernels
desc: added -m 1710 = sha512($pass.$salt)

type: feature
file: kernels
desc: added -m 3100 = Oracle 7-10g, DES(Oracle)

type: feature
file: kernels
desc: on AMD, switched from .kernel to .llvmir to reduce diskspace

type: feature
file: kernels
desc: on NV, switched from .cubin to .ptx to reduce diskspace

type: feature
file: kernels
desc: added kernel cache to avoid unnecessary recompilation
cred: m4tr1x

type: driver
file: kernels
desc: added support for NVidia CUDA 4.2

type: driver
file: kernels
desc: added support for NVidia sm_30 gpu-architecture [ Kepler ]

type: driver
file: host programs
desc: added support for NVAPI R300

type: driver
file: host programs
desc: added support for NVidia NVML library and got rid of nvidia-smi command

type: driver
file: host programs
desc: added support for AMD ADL v4.0 library

type: feature
file: host programs
desc: splitted --gpu-watchdog to --gpu-temp-disable and --gpu-temp-abort

type: feature
file: kernels
desc: added benchmarking mode
cred: m4tr1x

type: feature
file: host programs
desc: added --gpu-temp-retain to try retain temperature at NUM degrees celsius
cred: m4tr1x

type: feature
file: host programs
desc: workarounded AMD bug in clGetDeviceInfo() CL_DEVICE_MAX_CLOCK_FREQUENCY
cred: m4tr1x

type: feature
file: kernels
desc: added early check for zero-length password hashes
cred: m4tr1x

type: feature
file: host programs
desc: show LM-half as soon as it is cracked

type: feature
file: host programs
desc: added support for charset files and some example charset files

type: feature
file: host programs
desc: added support to read hashes from file

type: feature
file: host programs
desc: implemented base64 parser that would allow for dynamic salt lengths in nsldaps

type: feature
file: host programs
desc: added fan-speeds to status display

type: feature
file: host programs
desc: removed --pw-skip-plain and --pw-limit-plain as they are incompatible to markov

type: bug
file: host programs
desc: fixed bug in status display if ETA calculated > 60 years
cred: arex

type: bug
file: host programs
desc: fixed bug in Oracle 11g hash parsing function, salt length increased to 10 byte
cred: flipit

type: bug
file: host programs
desc: fixed bug in salt-length parser for MyBB1.2 hashes
cred: code841

type: change
file: host programs
desc: changed default charset to the one which passpal outputs running on rockyou.txt
cred: arex

* changes v0.08 -> v0.09:

type: feature
file: kernels
cred: added -m 2811 = IPB 2.0, MyBB1.2

type: feature
file: kernels
cred: added -m 3000 = LM

type: driver
file: kernels
desc: added support for AMD APP SDK 2.6

type: driver
file: kernels
desc: added support for NVidia CUDA 4.1

type: feature
file: kernels
desc: added support for AMD GPU's "Devastator" and "Scrapper"

type: feature
file: kernels
desc: added support for AMD GPU's "Capeverde", "Pitcairn" and "Tahiti"

type: feature
file: host programs
desc: backported --outfile-format from oclHashcat-plus v0.07

type: feature
file: host programs
desc: backported --separator-char feature from hashcat v0.38
cred: thorsheim

type: feature
file: host programs
desc: add support for passwords smaller length 4

type: bug
file: host programs
desc: fixed issue with unaligned --pw-skip, did not auto-shutdown when 100% keyspace reached
cred: MrUltimate

type: bug
file: host programs
desc: fixed issue when using --pw-skip-plain in combination with --hex-charset

type: change
file: host programs
desc: changed hash parser for Joomla hashes to allow salt-length of 16 - 32
cred: sono

type: change
file: host programs
desc: changed default setting for CPU affinity: Linux unlocked, Windows unlocked

type: change
file: host programs
desc: ETA is now calculated regarding to configured value of --pw-skip and --pw-limit
cred: MrUltimate

type: change
file: host programs
desc: changed restore-timer default value to 60 due to GPU utilization issue
cred: MrUltimate, d-unknown, khempanhom

type: change
file: host programs
desc: EULA. Removed sections 2, 6, 8 and 9. Relaxed sections 3 and 7.
cred: hdmoore

type: change
file: kernels
desc: renamed -m 1    to -m 10
desc: renamed -m 3    to -m 2600
desc: renamed -m 5    to -m 2611
desc: renamed -m 15   to -m 2711
desc: renamed -m 101  to -m 110
desc: renamed -m 600  to -m 101
desc: renamed -m 700  to -m 111
desc: renamed -m 1300 to -m 131
desc: renamed -m 2000 to -m 112
desc: renamed -m 2300 to -m 132

type: change
file: rules
desc: redesigned usage screen
cred: http://hashcat.net/forum/thread-716.html

* changes v0.07 -> v0.08:

type: feature
file: host programs
desc: added version check for restore sessions
cred: utuh

type: bug
file: host programs
desc: fixed issue in SL3 leading to "code not found" and bad GPU utilization
cred: romke, d-unknown, khempanhom

* changes v0.06 -> v0.07:

type: feature
file: kernels
desc: added support for AMD GPU's "Devastator" and "Scrapper"

type: feature
file: kernels
desc: added -m 600 = nsldap, SHA-1(Base64), Netscape LDAP SHA

type: feature
file: kernels
desc: added -m 700 = nsldaps, SSHA-1(Base64), Netscape LDAP SSHA

type: feature
file: kernels
desc: added -m 1300 = MSSQL(2000)

type: feature
file: kernels
desc: added -m 2300 = MSSQL(2005)

type: feature
file: kernels
desc: added -m 2400 = Cisco-PIX MD5

type: feature
file: kernels
desc: added support for vector datatypes on NV for better sm_21 utilization

type: feature
file: host programs
desc: added support for mixed GPU types (example: hd5970 and hd6850)

type: feature
file: host programs
desc: simplified --pw-skip and --pw-limit for more intuitive usuage, see hashcat wiki for details

type: feature
file: host programs
desc: added --pw-skip-plain and --pw-limit-plain, user can specify a string instead of a number

type: feature
file: host programs
desc: added support for setting CPU affinity. Defaults: Linux unlocked, Windows locked to CPU #1
cred: MrUltimate

type: feature
file: host programs
desc: added display of the mask in status screen
cred: tatgdi

type: feature
file: host programs
desc: added display of the hash in status screen

type: feature
file: host programs
desc: changed restore-timer function. if set to 0, the restore-file is written instantly on progress

type: change
file: host programs
desc: changed restore-timer default value to 0

type: change
file: kernels
desc: switched to AMD Accelerated Parallel Processing "APP" SDK v2.5

type: change
file: host programs
desc: changed outfile-formats for more flexibility. default value is 3. see --help for more
cred: TheFire

type: change
file: host programs
desc: recalibrated defaults for gpu_accel and gpu_loops that kernels run fast but not to aggressive

type: change
file: host programs
desc: changed speed display compressing threshold from 10000 to 100000

type: change
file: kernels
desc: removed kernel encryption. thus, archive file became smaller and startup-time reduced

type: bug
file: host programs
desc: fixed some typos in error messages

type: bug
file: host programs
desc: fixed bug in --gpu-async which was not enabled even if specified

type: bug
file: host programs
desc: fixed NVidia issue: cuStreamsynchronize() 700

type: bug
file: host programs
desc: workarounded AMD issue: "100% CPU killer bug". Linux only, requires Catalyst >= 11.11

type: bug
file: host programs
desc: workarounded AMD issue: ../../src/xcb_io.c:140: dequeue_pending_request

* changes v0.05 -> v0.06:

type: performance increase
file: kernels
desc: MD5:                      AMD  1,07%, NVidia  0,62%
desc: md5($pass.$salt):         AMD  1,37%, NVidia  8,10%
desc: md5(md5($pass)):          AMD  0,94%, NVidia     0%
desc: vBulletin < v3.8.5:       AMD  0,30%, NVidia     0%
desc: SHA1:                     AMD 11,14%, NVidia 13,62%
desc: sha1($pass.$salt):        AMD 16,96%, NVidia 39,10%
desc: MySQL > v4.1:             AMD  1,99%, NVidia  7,15%
desc: MD4:                      AMD 13,46%, NVidia  3,34%
desc: NTLM:                     AMD 13,16%, NVidia  2,57%
desc: DCC:                      AMD 34,20%, NVidia  0,89%
desc: MSSQL:                    AMD 11,23%, NVidia 17,89%
desc: SL3:                      AMD 12,24%, NVidia 13,48%
desc: Oracle 11G:               AMD 16,93%, NVidia 13,53%

type: password length increase
file: kernels
desc: MD5:                      from 15 to 55
desc: md5($pass.$salt):         from 15 to 55
desc: md5(md5($pass)):          from 15 to 55
desc: vBulletin < v3.8.5:       from 15 to 55
desc: SHA1:                     from 15 to 55
desc: sha1($pass.$salt):        from 15 to 55
desc: MySQL > v4.1:             from 15 to 55
desc: MD4:                      from 15 to 55
desc: NTLM:                     from 15 to 27
desc: DCC:                      from 15 to 27
desc: MSSQL:                    from 15 to 25
desc: SHA256:                   from 15 to 55
desc: Oracle 11G:               from 15 to 45

type: feature
file: kernels
desc: added -m 15 = vBulletin > v3.8.5
cred: chick0n

type: feature
file: kernels
desc: increased salt length for DCC from 7 to 19
cred: Rabbitz

type: feature
file: host programs
desc: hardcoded cpu affinity mask to one (cpu #0) to save energy
cred: randyberger

type: feature
file: host programs
desc: added --pw-skip and --pw-limit parameters for distributed computing
cred: d3ad0ne

type: feature
file: host programs
desc: added status codes on exit, see status_codes.txt for listing
cred: hermix

type: bug
file: host programs
desc: rewritten restore function check from scratch
cred: anonymous

type: bug
file: host programs
desc: fixed multiple instances check
cred: FractalizeR

type: bug
file: host programs
desc: fixed 8 bit characters from russian alphabet
cred: Rolf

* changes v0.04 -> v0.05:

type: bug
file: host programs
desc: fixed bug, option parsing, --restore-timer aborted oclHashcat
cred: Farras

type: bug
file: host programs
desc: fixed bug, option parsing, --restore was not using correct position
cred: adolfotregos

* changes v0.03 -> v0.04:

type: feature
file: kernels
desc: added -m 1300 = MSSQL

type: feature
file: kernels
desc: added -m 1500 = DES(Unix)
cred: boy1284

type: feature
file: kernels
desc: added -m 1900 = SL3

type: feature
file: kernels
desc: added -m 2000 = Oracle 11G

type: improvement
file: kernels
desc: performance increase in NTLM and DCC kernels between +1% and +2%

type: improvement
file: kernels
desc: performance increase in SL3 between +2% and +4%

type: driver
file: kernels
desc: added support for AMD Catalyst v11.4 and SDK 2.4

type: driver
file: kernels
desc: added support for NVidia ForceWare v270.x

type: feature
file: host programs
desc: added --restore-timer parameter, default 60
cred: Mr.Ultimate

type: feature
file: host programs
desc: added --outfile-watchdog parameter, default 60
cred: ATF

type: improvement
file: host programs
desc: improved performance on plains with length 4 and 5

type: improvement
file: host programs
desc: renamed parameters --output-* to --outfile-*
cred: radix

type: improvement
file: host programs
desc: added plain length to status display
cred: tatgdi

type: improvement
file: host programs
desc: added hash type to status display
cred: radix

type: improvement
file: host programs
desc: added status types "Cracked" and "Exhausted" to status display

type: bug
file: host programs
desc: fixed bug, race-condition, rename new restore-file to current
cred: Alinus

type: bug
file: host programs
desc: fixed bug, divide-by-zero, crashes oclHashcat-lite when hitting "s"

type: bug
file: host programs
desc: workarounded AMD issue ../../src/xcb_io.c:140: dequeue_pending_request

* changes v0.02 -> v0.03:

type: bug
file: cudaHashcat-lite, oclHashcat-lite
desc: fixed a bug in security causing hash was not found randomly
cred: RaNdy

type: bug
file: cudaHashcat-lite, oclHashcat-lite
desc: fixed a bug in --restore if command-line contains --pw-skip
cred: Ciukut

type: bug
file: cudaHashcat-lite, oclHashcat-lite
desc: fixed a bug in --restore if command-line contains --pw-min
cred: hermix

* changes v0.01 -> v0.02:

first public release
